<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: rayleigh_taylor.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_1563a38af0d3a5e4a6330d6d45e9792a.html">tools</a></li><li class="navelem"><a class="el" href="dir_b520d1ab1ec20b7fc47acdc53c2a8486.html">init_flow_old</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">rayleigh_taylor.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacerayleigh__taylor"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html">rayleigh_taylor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:af0b3d49f2420b2e7f7f36407f08bcb62"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="rayleigh__taylor_8f90.html#af0b3d49f2420b2e7f7f36407f08bcb62">rayleigh_taylor_grid</a></td></tr>
<tr class="separator:af0b3d49f2420b2e7f7f36407f08bcb62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7337d635fb93f584a1ad996787fb832a"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="rayleigh__taylor_8f90.html#a7337d635fb93f584a1ad996787fb832a">rayleigh_taylor_data</a></td></tr>
<tr class="separator:a7337d635fb93f584a1ad996787fb832a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a770e91a0caf09ee755b582f9921a16a8"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="rayleigh__taylor_8f90.html#a770e91a0caf09ee755b582f9921a16a8">rayleigh_taylor_chemtable</a></td></tr>
<tr class="separator:a770e91a0caf09ee755b582f9921a16a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a763906c6c81682f67446146ccb3127e5"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#a763906c6c81682f67446146ccb3127e5">rayleigh_taylor::lx</a></td></tr>
<tr class="separator:a763906c6c81682f67446146ccb3127e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15c55519a3aa5c1877cc4ae8458fbb11"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#a15c55519a3aa5c1877cc4ae8458fbb11">rayleigh_taylor::ly</a></td></tr>
<tr class="separator:a15c55519a3aa5c1877cc4ae8458fbb11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbdb0c49f223f5738a68793e6842dd20"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#afbdb0c49f223f5738a68793e6842dd20">rayleigh_taylor::lz</a></td></tr>
<tr class="separator:afbdb0c49f223f5738a68793e6842dd20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b63ab4b6f679d0a3f909289dcb9d24d"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#a3b63ab4b6f679d0a3f909289dcb9d24d">rayleigh_taylor::scalar_model</a></td></tr>
<tr class="separator:a3b63ab4b6f679d0a3f909289dcb9d24d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12893f1aaf9a1861abccc83d62f0eb28"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#a12893f1aaf9a1861abccc83d62f0eb28">rayleigh_taylor::density_ratio</a></td></tr>
<tr class="separator:a12893f1aaf9a1861abccc83d62f0eb28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1fe6bbaa596b5613e8eb55f3cd0098a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#af1fe6bbaa596b5613e8eb55f3cd0098a">rayleigh_taylor::u</a></td></tr>
<tr class="separator:af1fe6bbaa596b5613e8eb55f3cd0098a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef5fa7318e2bc1a8772111a0c3f874f0"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#aef5fa7318e2bc1a8772111a0c3f874f0">rayleigh_taylor::v</a></td></tr>
<tr class="separator:aef5fa7318e2bc1a8772111a0c3f874f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d3998ade47efa8691217035906723a7"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#a9d3998ade47efa8691217035906723a7">rayleigh_taylor::w</a></td></tr>
<tr class="separator:a9d3998ade47efa8691217035906723a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7871b6b1330e046683563eda3492ccbe"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#a7871b6b1330e046683563eda3492ccbe">rayleigh_taylor::p</a></td></tr>
<tr class="separator:a7871b6b1330e046683563eda3492ccbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8dd6fa2d0521676c44380cfa3d41a1e"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#ae8dd6fa2d0521676c44380cfa3d41a1e">rayleigh_taylor::g</a></td></tr>
<tr class="separator:ae8dd6fa2d0521676c44380cfa3d41a1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7877618808607b7f79404324d09abfe"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#ad7877618808607b7f79404324d09abfe">rayleigh_taylor::zmix</a></td></tr>
<tr class="separator:ad7877618808607b7f79404324d09abfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7776710bc82387930557fddfcf119e57"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#a7776710bc82387930557fddfcf119e57">rayleigh_taylor::rho</a></td></tr>
<tr class="separator:a7776710bc82387930557fddfcf119e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cf9b9b99decae74a3789b2a3c56d37d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerayleigh__taylor.html#a1cf9b9b99decae74a3789b2a3c56d37d">rayleigh_taylor::drho</a></td></tr>
<tr class="separator:a1cf9b9b99decae74a3789b2a3c56d37d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a770e91a0caf09ee755b582f9921a16a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a770e91a0caf09ee755b582f9921a16a8">&#9670;&nbsp;</a></span>rayleigh_taylor_chemtable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine rayleigh_taylor_chemtable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacerayleigh__taylor.html#a12893f1aaf9a1861abccc83d62f0eb28">rayleigh_taylor::density_ratio</a>, and <a class="el" href="namespacerayleigh__taylor.html#a3b63ab4b6f679d0a3f909289dcb9d24d">rayleigh_taylor::scalar_model</a>.</p>

</div>
</div>
<a id="a7337d635fb93f584a1ad996787fb832a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7337d635fb93f584a1ad996787fb832a">&#9670;&nbsp;</a></span>rayleigh_taylor_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine rayleigh_taylor_data </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacerayleigh__taylor.html#a12893f1aaf9a1861abccc83d62f0eb28">rayleigh_taylor::density_ratio</a>, <a class="el" href="namespacebosch__chamber.html#a49611ae619ca85dae44a9fc39acd2e22">bosch_chamber::drho</a>, <a class="el" href="namespacerayleigh__taylor.html#ae8dd6fa2d0521676c44380cfa3d41a1e">rayleigh_taylor::g</a>, <a class="el" href="namespacebosch__chamber.html#a8c26f33fa4dbc0662a4fb9fa1057f418">bosch_chamber::lx</a>, <a class="el" href="namespacebosch__chamber.html#a37a98dbd702c4db10be66942e0db81d5">bosch_chamber::p</a>, <a class="el" href="namespaceparser.html#ab623470141bd5a2836b28f65aa9ef10f">parser::parser_getsize()</a>, <a class="el" href="namespacebosch__chamber.html#ad398d4fba9e3bbb3ae1c89081481a197">bosch_chamber::rho</a>, <a class="el" href="namespacerayleigh__taylor.html#a3b63ab4b6f679d0a3f909289dcb9d24d">rayleigh_taylor::scalar_model</a>, <a class="el" href="namespacebosch__chamber.html#a49571ceb741d1b130191d2bdb06af042">bosch_chamber::u</a>, <a class="el" href="namespacebosch__chamber.html#a6f7fe2c8f274406d204dd5230c2bc3ef">bosch_chamber::v</a>, <a class="el" href="namespacebosch__chamber.html#ad4aa387322284505b31af71ab555b026">bosch_chamber::w</a>, and <a class="el" href="namespacebosch__chamber.html#a9638b1cdafec66e53060645cef8c7a2a">bosch_chamber::zmix</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="rayleigh__taylor_8f90_a7337d635fb93f584a1ad996787fb832a_cgraph.png" border="0" usemap="#rayleigh__taylor_8f90_a7337d635fb93f584a1ad996787fb832a_cgraph" alt=""/></div>
<map name="rayleigh__taylor_8f90_a7337d635fb93f584a1ad996787fb832a_cgraph" id="rayleigh__taylor_8f90_a7337d635fb93f584a1ad996787fb832a_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#ab623470141bd5a2836b28f65aa9ef10f" title="parser::parser_getsize" alt="" coords="192,264,343,291"/>
<area shape="rect" id="node3" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="391,180,517,207"/>
<area shape="rect" id="node10" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="406,289,502,316"/>
<area shape="rect" id="node4" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="588,5,732,32"/>
<area shape="rect" id="node5" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="583,56,737,83"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="589,107,731,149"/>
<area shape="rect" id="node7" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="577,173,743,214"/>
<area shape="rect" id="node8" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="565,239,755,265"/>
<area shape="rect" id="node9" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="578,289,742,316"/>
<area shape="rect" id="node11" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="595,341,725,382"/>
</map>
</div>

</div>
</div>
<a id="af0b3d49f2420b2e7f7f36407f08bcb62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0b3d49f2420b2e7f7f36407f08bcb62">&#9670;&nbsp;</a></span>rayleigh_taylor_grid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine rayleigh_taylor_grid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacebosch__chamber.html#a8c26f33fa4dbc0662a4fb9fa1057f418">bosch_chamber::lx</a>, <a class="el" href="namespacebosch__chamber.html#a9ee18976bd6d940f337a1b0ad810937a">bosch_chamber::ly</a>, and <a class="el" href="namespacebosch__chamber.html#a650f06ad2b94444162dfb1c73a618d58">bosch_chamber::lz</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jul 13 2020 22:28:01 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
